Subject: bug#39682: 26.3; Help window for list-packages disabled

From: Drew Adams <[email-masked]>
Date: Thu, 20 Feb 2020 16:02:39 -0800 (PST)

> Possible solution!
> 
> I loaded emacs -q, ran list-packages, look at the info for help-fns+.el
> and understood that it would need to be re-compiled with a newer version
> of emacs.
> 
> I just re-compiled help-fns+.el as per instructions in the info file and
> the problem is solved.

I'm glad you seem to have solved the problem.

But I don't understand how you got help-fns+.el[c] loaded if you started Emacs using `emacs -q', which doesn't load your init file.

The original problem really needs to have been narrowed down to only the library (or libraries) really necessary to repro the problem.

To be clear, what happens if you ensure that you load _only_ el-get.el, and not help-fns+.el or dired+.el or anything else?  E.g., use just `M-x load-file' for elget.el (or elget.elc).
 
> I have much snow to shovel here - may not check email for several hours.

That'll probably keep you healthy.  Good shoveling.